> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Messages Chart (/api-reference/engagement-messages/direct-messages-chart)

Get engagement chart metrics for direct messages: sent count and purchase amount over time.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/engagement/messages/direct-messages/chart
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/engagement/messages/direct-messages/chart:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: Direct Messages Chart
      operationId: directMessagesChart
      description: "Get engagement chart metrics for direct messages: sent count and
        purchase amount over time."
      parameters:
        - in: query
          name: startDate
          description: Start of the chart window in `Y-m-d H:i:s` format.
          example: 2026-01-07 00:00:00
          required: false
          schema:
            type: string
            description: Start of the chart window in `Y-m-d H:i:s` format.
            example: 2026-01-07 00:00:00
        - in: query
          name: endDate
          description: End of the chart window in `Y-m-d H:i:s` format. Must be after
            `startDate`.
          example: 2026-02-06 22:19:59
          required: false
          schema:
            type: string
            description: End of the chart window in `Y-m-d H:i:s` format. Must be after
              `startDate`.
            example: 2026-02-06 22:19:59
        - in: query
          name: withTotal
          description: Include `total` and `delta` aggregates in the response. Defaults to
            `true`.
          example: true
          required: false
          schema:
            type: boolean
            description: Include `total` and `delta` aggregates in the response. Defaults to
              `true`.
            example: true
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    direct_messages:
                      chart:
                        - date: 2026-01-07T00:00:00+00:00
                          count: 436
                        - date: 2026-01-08T00:00:00+00:00
                          count: 403
                        - date: 2026-01-09T00:00:00+00:00
                          count: 587
                        - date: 2026-01-10T00:00:00+00:00
                          count: 543
                        - date: 2026-01-11T00:00:00+00:00
                          count: 622
                        - date: 2026-01-12T00:00:00+00:00
                          count: 538
                        - date: 2026-01-13T00:00:00+00:00
                          count: 326
                        - date: 2026-01-14T00:00:00+00:00
                          count: 569
                        - date: 2026-01-15T00:00:00+00:00
                          count: 478
                        - date: 2026-01-16T00:00:00+00:00
                          count: 506
                        - date: 2026-01-17T00:00:00+00:00
                          count: 611
                        - date: 2026-01-18T00:00:00+00:00
                          count: 593
                        - date: 2026-01-19T00:00:00+00:00
                          count: 875
                        - date: 2026-01-20T00:00:00+00:00
                          count: 1178
                        - date: 2026-01-21T00:00:00+00:00
                          count: 1331
                        - date: 2026-01-22T00:00:00+00:00
                          count: 1277
                        - date: 2026-01-23T00:00:00+00:00
                          count: 1153
                        - date: 2026-01-24T00:00:00+00:00
                          count: 1255
                        - date: 2026-01-25T00:00:00+00:00
                          count: 1179
                        - date: 2026-01-26T00:00:00+00:00
                          count: 1147
                        - date: 2026-01-27T00:00:00+00:00
                          count: 905
                        - date: 2026-01-28T00:00:00+00:00
                          count: 1467
                        - date: 2026-01-29T00:00:00+00:00
                          count: 1681
                        - date: 2026-01-30T00:00:00+00:00
                          count: 1827
                        - date: 2026-01-31T00:00:00+00:00
                          count: 1501
                        - date: 2026-02-01T00:00:00+00:00
                          count: 935
                        - date: 2026-02-02T00:00:00+00:00
                          count: 922
                        - date: 2026-02-03T00:00:00+00:00
                          count: 1059
                        - date: 2026-02-04T00:00:00+00:00
                          count: 1124
                        - date: 2026-02-05T00:00:00+00:00
                          count: 1111
                        - date: 2026-02-06T00:00:00+00:00
                          count: 1155
                      total: 29294
                      delta: 71
                    direct_messages_purchases:
                      chart:
                        - date: 2026-01-07T00:00:00+00:00
                          count: 4229.47
                        - date: 2026-01-08T00:00:00+00:00
                          count: 3501.2
                        - date: 2026-01-09T00:00:00+00:00
                          count: 7119.34
                        - date: 2026-01-10T00:00:00+00:00
                          count: 5141.29
                        - date: 2026-01-11T00:00:00+00:00
                          count: 8131.15
                        - date: 2026-01-12T00:00:00+00:00
                          count: 5387.46
                        - date: 2026-01-13T00:00:00+00:00
                          count: 2680.16
                        - date: 2026-01-14T00:00:00+00:00
                          count: 3728.25
                        - date: 2026-01-15T00:00:00+00:00
                          count: 4577.14
                        - date: 2026-01-16T00:00:00+00:00
                          count: 4369.77
                        - date: 2026-01-17T00:00:00+00:00
                          count: 7509.09
                        - date: 2026-01-18T00:00:00+00:00
                          count: 3741.5
                        - date: 2026-01-19T00:00:00+00:00
                          count: 3089.89
                        - date: 2026-01-20T00:00:00+00:00
                          count: 5318.68
                        - date: 2026-01-21T00:00:00+00:00
                          count: 6722.56
                        - date: 2026-01-22T00:00:00+00:00
                          count: 4585.53
                        - date: 2026-01-23T00:00:00+00:00
                          count: 8163.06
                        - date: 2026-01-24T00:00:00+00:00
                          count: 4872.21
                        - date: 2026-01-25T00:00:00+00:00
                          count: 5804.55
                        - date: 2026-01-26T00:00:00+00:00
                          count: 5393.57
                        - date: 2026-01-27T00:00:00+00:00
                          count: 3874.12
                        - date: 2026-01-28T00:00:00+00:00
                          count: 6735.14
                        - date: 2026-01-29T00:00:00+00:00
                          count: 7908.03
                        - date: 2026-01-30T00:00:00+00:00
                          count: 11120.55
                        - date: 2026-01-31T00:00:00+00:00
                          count: 12434.52
                        - date: 2026-02-01T00:00:00+00:00
                          count: 6016.15
                        - date: 2026-02-02T00:00:00+00:00
                          count: 3772.66
                        - date: 2026-02-03T00:00:00+00:00
                          count: 5710.38
                        - date: 2026-02-04T00:00:00+00:00
                          count: 5652.75
                        - date: 2026-02-05T00:00:00+00:00
                          count: 6934.73
                        - date: 2026-02-06T00:00:00+00:00
                          count: 5046.19
                      total: 179903.2
                      delta: 26.6
                  _meta:
                    _credits:
                      used: 1
                      balance: 11270560
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4998
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: object
                    properties:
                      direct_messages:
                        type: object
                        properties:
                          chart:
                            type: array
                            example:
                              - date: 2026-01-07T00:00:00+00:00
                                count: 436
                              - date: 2026-01-08T00:00:00+00:00
                                count: 403
                              - date: 2026-01-09T00:00:00+00:00
                                count: 587
                              - date: 2026-01-10T00:00:00+00:00
                                count: 543
                              - date: 2026-01-11T00:00:00+00:00
                                count: 622
                              - date: 2026-01-12T00:00:00+00:00
                                count: 538
                              - date: 2026-01-13T00:00:00+00:00
                                count: 326
                              - date: 2026-01-14T00:00:00+00:00
                                count: 569
                              - date: 2026-01-15T00:00:00+00:00
                                count: 478
                              - date: 2026-01-16T00:00:00+00:00
                                count: 506
                              - date: 2026-01-17T00:00:00+00:00
                                count: 611
                              - date: 2026-01-18T00:00:00+00:00
                                count: 593
                              - date: 2026-01-19T00:00:00+00:00
                                count: 875
                              - date: 2026-01-20T00:00:00+00:00
                                count: 1178
                              - date: 2026-01-21T00:00:00+00:00
                                count: 1331
                              - date: 2026-01-22T00:00:00+00:00
                                count: 1277
                              - date: 2026-01-23T00:00:00+00:00
                                count: 1153
                              - date: 2026-01-24T00:00:00+00:00
                                count: 1255
                              - date: 2026-01-25T00:00:00+00:00
                                count: 1179
                              - date: 2026-01-26T00:00:00+00:00
                                count: 1147
                              - date: 2026-01-27T00:00:00+00:00
                                count: 905
                              - date: 2026-01-28T00:00:00+00:00
                                count: 1467
                              - date: 2026-01-29T00:00:00+00:00
                                count: 1681
                              - date: 2026-01-30T00:00:00+00:00
                                count: 1827
                              - date: 2026-01-31T00:00:00+00:00
                                count: 1501
                              - date: 2026-02-01T00:00:00+00:00
                                count: 935
                              - date: 2026-02-02T00:00:00+00:00
                                count: 922
                              - date: 2026-02-03T00:00:00+00:00
                                count: 1059
                              - date: 2026-02-04T00:00:00+00:00
                                count: 1124
                              - date: 2026-02-05T00:00:00+00:00
                                count: 1111
                              - date: 2026-02-06T00:00:00+00:00
                                count: 1155
                            items:
                              type: object
                              properties:
                                date:
                                  type: string
                                  example: 2026-01-07T00:00:00+00:00
                                count:
                                  type: integer
                                  example: 436
                          total:
                            type: integer
                            example: 29294
                          delta:
                            type: integer
                            example: 71
                      direct_messages_purchases:
                        type: object
                        properties:
                          chart:
                            type: array
                            example:
                              - date: 2026-01-07T00:00:00+00:00
                                count: 4229.47
                              - date: 2026-01-08T00:00:00+00:00
                                count: 3501.2
                              - date: 2026-01-09T00:00:00+00:00
                                count: 7119.34
                              - date: 2026-01-10T00:00:00+00:00
                                count: 5141.29
                              - date: 2026-01-11T00:00:00+00:00
                                count: 8131.15
                              - date: 2026-01-12T00:00:00+00:00
                                count: 5387.46
                              - date: 2026-01-13T00:00:00+00:00
                                count: 2680.16
                              - date: 2026-01-14T00:00:00+00:00
                                count: 3728.25
                              - date: 2026-01-15T00:00:00+00:00
                                count: 4577.14
                              - date: 2026-01-16T00:00:00+00:00
                                count: 4369.77
                              - date: 2026-01-17T00:00:00+00:00
                                count: 7509.09
                              - date: 2026-01-18T00:00:00+00:00
                                count: 3741.5
                              - date: 2026-01-19T00:00:00+00:00
                                count: 3089.89
                              - date: 2026-01-20T00:00:00+00:00
                                count: 5318.68
                              - date: 2026-01-21T00:00:00+00:00
                                count: 6722.56
                              - date: 2026-01-22T00:00:00+00:00
                                count: 4585.53
                              - date: 2026-01-23T00:00:00+00:00
                                count: 8163.06
                              - date: 2026-01-24T00:00:00+00:00
                                count: 4872.21
                              - date: 2026-01-25T00:00:00+00:00
                                count: 5804.55
                              - date: 2026-01-26T00:00:00+00:00
                                count: 5393.57
                              - date: 2026-01-27T00:00:00+00:00
                                count: 3874.12
                              - date: 2026-01-28T00:00:00+00:00
                                count: 6735.14
                              - date: 2026-01-29T00:00:00+00:00
                                count: 7908.03
                              - date: 2026-01-30T00:00:00+00:00
                                count: 11120.55
                              - date: 2026-01-31T00:00:00+00:00
                                count: 12434.52
                              - date: 2026-02-01T00:00:00+00:00
                                count: 6016.15
                              - date: 2026-02-02T00:00:00+00:00
                                count: 3772.66
                              - date: 2026-02-03T00:00:00+00:00
                                count: 5710.38
                              - date: 2026-02-04T00:00:00+00:00
                                count: 5652.75
                              - date: 2026-02-05T00:00:00+00:00
                                count: 6934.73
                              - date: 2026-02-06T00:00:00+00:00
                                count: 5046.19
                            items:
                              type: object
                              properties:
                                date:
                                  type: string
                                  example: 2026-01-07T00:00:00+00:00
                                count:
                                  type: number
                                  example: 4229.47
                          total:
                            type: number
                            example: 179903.2
                          delta:
                            type: number
                            example: 26.6
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 11270560
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4998
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Engagement / Messages
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````